NotificationControllerUpdateNotification Method |
PUT /Notification/{id}
Updates a notification.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult UpdateNotification(
Guid id,
[FromBodyAttribute] SaveNotificationOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateNotification (
id As Guid,
<FromBodyAttribute> options As SaveNotificationOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ UpdateNotification(
Guid id,
[FromBodyAttribute] SaveNotificationOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateNotification :
id : Guid *
[<FromBodyAttribute>] options : SaveNotificationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The notification ID. - options
- Type: Dundas.BI.WebApi.ModelsSaveNotificationOptions
The notification options. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultThe updated
NotificationData object, or a status code indicating the problem.
See Also